# List license types Returns a list of all license types that are currently supported and used for license verifications. Endpoint: GET /licensetypes Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `state` (string) If set, the items will be filtered on the state specified by this parameter Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `count` (integer) The number of items to include in a single page. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Taxonomy", "Name" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The providers in the current page. Example: [{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","taxonomy":"string","name":"string","aliases":["string"],"abbreviations":["string"],"states":["AL"],"verificationParameters":{"AL":{"requiredParameters":["LicenseNumber"],"optionalParameters":[]}},"sources":[{"state":"AL","requiredParameters":["LicenseNumber"],"optionalParameters":[],"hasPassThroughFee":true}]}] - `items.id` (string) Unique identifier associated with this license type. - `items.taxonomy` (string) Unique taxonomy code associated with this license type. - `items.name` (string) Descriptive name for this license type. - `items.aliases` (array) Aliases used by different sources. - `items.abbreviations` (array) License type name abbreviations. - `items.sources` (array) A list of parameters and other verification-related information per state. - `items.sources.state` (string) The state the verification information relates to for the given license type. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.sources.requiredParameters` (array) List of parameters required to run a license verification. Missing data for a required parameter will result in a failed verification. Enum: "LicenseNumber", "Name", "Ssn" - `items.sources.optionalParameters` (array) List of optional parameters that may be used to improve the verification result quality by applying additional filters. Enum: "LicenseNumber", "Name", "Ssn" - `items.sources.hasPassThroughFee` (boolean) Indicates whether the source for this state + license type combination charges a pass-through fee for a verification. - `items.states` (array) List of states for which license verification is supported. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.verificationParameters` (object) Description of parameters required to run verifications. - `sortedBy` (string) The property by which the data is sorted. Enum: "Taxonomy", "Name" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `sort` (object) The properties and directions the data is sorted by. Example: {"Taxonomy":"Asc","Name":"Desc"} - `sort.Keys` (string) Enum: "Taxonomy", "Name" - `sort.Values` (string) Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields